Bug 1330173 - [abrt] lxqt-panel: QObject::disconnect(): lxqt-panel killed by SIGSEGV
Summary: [abrt] lxqt-panel: QObject::disconnect(): lxqt-panel killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cf97d12d177558446f3862384cc...
: 1330463 1363936 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 14:15 UTC by Mike FABIAN
Modified: 2017-07-23 22:55 UTC (History)
13 users (show)

Fixed In Version: qt5-qtbase-5.7.1-19.fc26 qt5-qtbase-5.7.1-19.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-20 15:54:42 UTC


Attachments (Terms of Use)
File: backtrace (44.96 KB, text/plain)
2016-04-25 14:15 UTC, Mike FABIAN
no flags Details
File: cgroup (148 bytes, text/plain)
2016-04-25 14:15 UTC, Mike FABIAN
no flags Details
File: core_backtrace (8.32 KB, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: dso_list (11.72 KB, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: environ (1.62 KB, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: exploitable (93 bytes, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: maps (58.32 KB, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.64 KB, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: open_fds (1.30 KB, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-04-25 14:16 UTC, Mike FABIAN
no flags Details


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-52988 None None None 2016-04-26 09:41:08 UTC
Red Hat Bugzilla 1330419 None None None Never

Internal Links: 1330419

Description Mike FABIAN 2016-04-25 14:15:49 UTC
Version-Release number of selected component:
lxqt-panel-0.10.0-5.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        lxqt-panel
crash_function: QObject::disconnect
executable:     /usr/bin/lxqt-panel
global_pid:     13859
kernel:         4.5.1-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2949
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1126
 #3 QDBusConnectionManager::run at qdbusconnection.cpp:191
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:340

Comment 1 Mike FABIAN 2016-04-25 14:15:57 UTC
Created attachment 1150509 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-04-25 14:15:59 UTC
Created attachment 1150510 [details]
File: cgroup

Comment 3 Mike FABIAN 2016-04-25 14:16:00 UTC
Created attachment 1150511 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2016-04-25 14:16:02 UTC
Created attachment 1150512 [details]
File: dso_list

Comment 5 Mike FABIAN 2016-04-25 14:16:04 UTC
Created attachment 1150513 [details]
File: environ

Comment 6 Mike FABIAN 2016-04-25 14:16:05 UTC
Created attachment 1150514 [details]
File: exploitable

Comment 7 Mike FABIAN 2016-04-25 14:16:07 UTC
Created attachment 1150515 [details]
File: limits

Comment 8 Mike FABIAN 2016-04-25 14:16:10 UTC
Created attachment 1150516 [details]
File: maps

Comment 9 Mike FABIAN 2016-04-25 14:16:11 UTC
Created attachment 1150517 [details]
File: mountinfo

Comment 10 Mike FABIAN 2016-04-25 14:16:13 UTC
Created attachment 1150518 [details]
File: namespaces

Comment 11 Mike FABIAN 2016-04-25 14:16:15 UTC
Created attachment 1150519 [details]
File: open_fds

Comment 12 Mike FABIAN 2016-04-25 14:16:16 UTC
Created attachment 1150520 [details]
File: proc_pid_status

Comment 13 Mike FABIAN 2016-04-25 14:16:18 UTC
Created attachment 1150521 [details]
File: var_log_messages

Comment 14 Florian Bruhin 2016-04-26 09:08:08 UTC
I've also seen this crash (100% reproducible) since updating to Qt 5.6 with my PyQt application.

I've now reported it upstream: https://bugreports.qt.io/browse/QTBUG-52988

Comment 15 Raphael Groner 2016-04-26 09:36:12 UTC
Propably:

https://codereview.qt-project.org/#/c/147261/

Is that patch included in our package?

Comment 16 Florian Bruhin 2016-04-26 09:42:44 UTC
That change was abandoned and replaced by [1] which made it into Qt 5.6.0. It's also a fix for a Windows-only bug[2] so I'm not sure if it's related.

[1] https://codereview.qt-project.org/#/c/147866/
[2] https://bugreports.qt.io/browse/QTBUG-49870

Comment 17 Raphael Groner 2016-04-26 10:33:23 UTC
*** Bug 1330463 has been marked as a duplicate of this bug. ***

Comment 18 Rex Dieter 2016-04-26 11:01:37 UTC
No, the change reference in [1] was abandoned as the wrong approach

Comment 19 Rex Dieter 2016-04-26 11:03:13 UTC
(Sorry, I referenced comment #15), comment #16 got it right

Comment 20 Raphael Groner 2016-08-04 16:21:49 UTC
Rawhide, see bug #1363936 and bug #1330419. Line numbers of backtrace differ with a small offset, propably cause of Qt 5.7 (f25) vs. Qt 5.6 (f24).

Comment 21 Raphael Groner 2016-08-04 16:22:16 UTC
*** Bug 1363936 has been marked as a duplicate of this bug. ***

Comment 22 Jerry James 2016-11-28 05:05:23 UTC
Some bugs filed against the mscore package have backtraces that look the same: bug 1336203, bug 1351523, bug 1352381, and bug 1364759.  I'm getting that same mscore crash on F-25, which has Qt 5.7.

Comment 23 Fedora End Of Life 2017-02-28 09:57:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 24 Aaron Sowry 2017-03-01 21:53:36 UTC
I'm seeing this on Fedora 25 too, perhaps the version should be updated.

Comment 25 Than Ngo 2017-07-18 12:01:34 UTC
it's fixed in 5.7.1-19, i will push the it into f26 update today.

Comment 26 Fedora Update System 2017-07-19 11:41:35 UTC
qt5-qtbase-5.7.1-19.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0863592f6

Comment 27 Fedora Update System 2017-07-20 00:26:41 UTC
qt5-qtbase-5.7.1-19.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0863592f6

Comment 28 Fedora Update System 2017-07-20 06:53:08 UTC
qt5-qtbase-5.7.1-19.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e229cf5d7c

Comment 29 Fedora Update System 2017-07-20 15:54:42 UTC
qt5-qtbase-5.7.1-19.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-07-23 22:55:35 UTC
qt5-qtbase-5.7.1-19.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.